ONVIF::Media::Types::Capabilities(3pm)

NAME
ONVIF::Media::Types::Capabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType Capabilities from the namespace http://www.onvif.org/ver10/media/wsdl.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileCapabilities

•   StreamingCapabilities

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::Capabilities
   ProfileCapabilities =>  { # ONVIF::Media::Types::ProfileCapabilities
   },
   StreamingCapabilities =>  { # ONVIF::Media::Types::StreamingCapabilities
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Media::Types::Capabilities::_Capabilities::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   SnapshotUri

     Indicates if GetSnapshotUri is supported.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   Rotation

     Indicates whether or not Rotation feature is supported.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   VideoSourceMode

     Indicates the support for changing video source mode.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   OSD

     Indicates if OSD is supported.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

AUTHOR
Generated by SOAP::WSDL